org.cpsolver.coursett

## Class GetInfo

- java.lang.Object
- - org.cpsolver.coursett.GetInfo

-     public class GetInfo
      extends Object

  Process all solutions (files solution.xml or output.csv) in all subfolders of the given folder and create a CSV (comma separated values text file) with solution infos of the found solutions.
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetInfo.Info`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashMap<String,String>` | `getInfo(Element root)`
    `static HashMap<String,String>` | `getInfo(File outputFile)`
    `static void` | `getInfo(File folder, List<GetInfo.Info> infos, String prefix)`
    `static HashMap<String,String>` | `getInfo(String comment)`
    `static HashMap<String,String>` | `getInfoOfASolution(File file)`
    `static void` | `getInfos(File folder, List<GetInfo.Info> infos, String prefix)`
    `static void` | `main(String[] args)`
    `static void` | `writeInfos(List<GetInfo.Info> infos, File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetInfo

          public GetInfo()

  - ### Method Detail

    - #### getInfoOfASolution

          public static HashMap<String,String> getInfoOfASolution(File file)

    - #### getInfo

          public static HashMap<String,String> getInfo(String comment)

    - #### getInfo

          public static HashMap<String,String> getInfo(File outputFile)

    - #### getInfo

          public static HashMap<String,String> getInfo(Element root)

    - #### getInfo

          public static void getInfo(File folder,
                                     List<GetInfo.Info> infos,
                                     String prefix)

    - #### getInfos

          public static void getInfos(File folder,
                                      List<GetInfo.Info> infos,
                                      String prefix)

    - #### writeInfos

          public static void writeInfos(List<GetInfo.Info> infos,
                                        File file)

    - #### main

          public static void main(String[] args)